<?php

namespace MDV\DemoBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;

class DefaultController extends Controller
{
	public function indexAction()
	{
		return $this->render('MDVDemoBundle:Default:index.html.twig', array());
	}
	
	public function helloAction($name , $surname)
	{
		return $this->render('MDVDemoBundle:Default:hello.html.twig', array('name' => $name , 'surname' => $surname));
	}

	public function articulosAction($id)
	{
		//-- Simulamos obtener los datos de la base de datos cargando los artículos a un array
		$articulos = array(
		array('id' => 1, 'title' => 'Articulo numero 1', 'created' => '2011-01-01'),
		array('id' => 2, 'title' => 'Articulo numero 2', 'created' => '2011-01-01'),
		array('id' => 3, 'title' => 'Articulo numero 3', 'created' => '2011-01-01'),
		);

		//-- Buscamos dentro del array el ID solicitado
		$articuloSeleccionado = null;
		foreach($articulos as $articulo)
		{
			if($articulo['id'] == $id)
			{
				$articuloSeleccionado = $articulo;
				break;
			}
		}

		//-- Invocamos a nuestra nueva plantilla, pasando los datos
		return $this->render('MDVDemoBundle:Default:articulos.html.twig', array('articulo' => $articuloSeleccionado));
	}
}
